<form [formGroup]="form"
      class="form-one-columns"
>
  <mat-form-field *ngIf="getFormControl(formDefinition.firstName) as fd"
                  [appearance]="appearanceInputMaterial"
                  [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                  solidifyTooltipOnEllipsis
  >
    <mat-label>{{labelTranslateEnum.firstName | translate}}</mat-label>
    <input [formControl]="fd"
           [required]="formValidationHelper.hasRequiredField(fd)"
           matInput
           solidifyValidation
    >
    <mat-error solidifyTooltipOnEllipsis
               #errors
    ></mat-error>
  </mat-form-field>

  <mat-form-field *ngIf="getFormControl(formDefinition.lastName) as fd"
                  [appearance]="appearanceInputMaterial"
                  [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                  solidifyTooltipOnEllipsis
  >
    <mat-label>{{labelTranslateEnum.lastName | translate}}</mat-label>
    <input [formControl]="fd"
           [required]="formValidationHelper.hasRequiredField(fd)"
           matInput
           solidifyValidation
    >
    <mat-error solidifyTooltipOnEllipsis
               #errors
    ></mat-error>
  </mat-form-field>

  @if (model?.verifiedOrcid | isTrue) {
    <mat-form-field *ngIf="getFormControl(formDefinition.orcid) as fd"
                    [appearance]="appearanceInputMaterial"
                    [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                    solidifyTooltipOnEllipsis
    >
      <mat-label>{{labelTranslateEnum.orcid | translate}}</mat-label>
      <input matInput
             [formControl]="fd"
             [required]="formValidationHelper.hasRequiredField(fd)"
             [solidifyValidation]="errors"
      >
      <solidify-button-orcid [orcid]="fd?.value"
                             [isVerifiedOrcid]="(model?.verifiedOrcid | isTrue)"
                             [isButton]="true"
                             [isPristineForm]="fd.pristine"
                             class="orcid-button"
                             matSuffix
      ></solidify-button-orcid>
      <button (click)="orcidService.startOrcidAuth()"
              [matTooltipPosition]="'right'"
              [matTooltip]="labelTranslateEnum.getAnAuthenticatedOrcid | translate"
              class="navigate-to-url"
              mat-icon-button
              matSuffix
              solidifyShortCuts
      >
        <solidify-icon [iconName]="iconNameEnum.externalLink"
                       class="size-16"
                       matSuffix
        ></solidify-icon>
      </button>
      <mat-error solidifyTooltipOnEllipsis
                 #errors
      ></mat-error>
    </mat-form-field>
  } @else {
    <solidify-orcid-sign-in-button *ngIf="model?.verifiedOrcid | isFalse"
                                   (clickChange)="orcidService.startOrcidAuth(personWithEmail)"
    ></solidify-orcid-sign-in-button>
  }
  <dlcm-shared-notification-input *ngIf="getFormControl(formDefinition.notificationTypes) as fd"
                                  [formControl]="fd"
                                  [isStewardOfAnyOrgUnit]="isStewardOfAnyOrgUnit"
                                  [isApproverOfAnyOrgUnit]="isApproverOfAnyOrgUnit"
                                  class="notification"
  >
  </dlcm-shared-notification-input>
</form>
